JUCE: WavAudioFormat Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
WavAudioFormat Class Reference
juce_audio_formats » codecs

Reads and Writes WAV format audio files. More...

`#include <juce_WavAudioFormat.h>`

Inheritance diagram for WavAudioFormat:

## Public Member Functions
| WavAudioFormat ()
| Creates a format object.
| ~WavAudioFormat () override
| Destructor.
Array< int > | getPossibleSampleRates () override
| Returns a set of sample rates that the format can read and write.
Array< int > | getPossibleBitDepths () override
| Returns a set of bit depths that the format can read and write.
bool | canDoStereo () override
| Returns true if the format can do 2-channel audio.
bool | canDoMono () override
| Returns true if the format can do 1-channel audio.
bool | isChannelLayoutSupported (const AudioChannelSet &channelSet) override
| Returns true if the channel layout is supported by this format.
AudioFormatReader * | createReaderFor (InputStream *sourceStream, bool deleteStreamIfOpeningFails) override
| Tries to create an object that can read from a stream containing audio data in this format.
MemoryMappedAudioFormatReader * | createMemoryMappedReader (const File &) override
| Attempts to create a MemoryMappedAudioFormatReader, if possible for this format.
MemoryMappedAudioFormatReader * | createMemoryMappedReader (FileInputStream *) override
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex) override
| Tries to create an object that can write to a stream with this audio format.
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex) override
| Tries to create an object that can write to a stream with this audio format.
bool | replaceMetadataInFile (const File &wavFile, const StringPairArray &newMetadata)
| Utility function to replace the metadata in a wav file with a new set of values.
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)=0
| Tries to create an object that can write to a stream with this audio format.
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
| Tries to create an object that can write to a stream with this audio format.
Public Member Functions inherited from AudioFormat
virtual | ~AudioFormat ()
| Destructor.
const String & | getFormatName () const
| Returns the name of this format.
virtual StringArray | getFileExtensions () const
| Returns all the file extensions that might apply to a file of this format.
virtual bool | canHandleFile (const File &fileToTest)
| Returns true if this the given file can be read by this format.
virtual bool | isCompressed ()
| Returns true if the format uses compressed data.
virtual StringArray | getQualityOptions ()
| Returns a list of different qualities that can be used when writing.

## Static Public Member Functions
static StringPairArray | createBWAVMetadata (const String &description, const String &originator, const String &originatorRef, Time dateAndTime, int64 timeReferenceSamples, const String &codingHistory)
| Utility function to fill out the appropriate metadata for a BWAV file.

## Static Public Attributes
static const char *const | bwavDescription
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginator
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginatorRef
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginationDate
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginationTime
| Metadata property name used in BWAV chunks.
static const char *const | bwavCodingHistory
| Metadata property name used in BWAV chunks.
static const char *const | bwavTimeReference
| Metadata property name used in BWAV chunks.
static const char *const | acidOneShot
| Metadata property name used in acid chunks.
static const char *const | acidRootSet
| Metadata property name used in acid chunks.
static const char *const | acidStretch
| Metadata property name used in acid chunks.
static const char *const | acidDiskBased
| Metadata property name used in acid chunks.
static const char *const | acidizerFlag
| Metadata property name used in acid chunks.
static const char *const | acidRootNote
| Metadata property name used in acid chunks.
static const char *const | acidBeats
| Metadata property name used in acid chunks.
static const char *const | acidDenominator
| Metadata property name used in acid chunks.
static const char *const | acidNumerator
| Metadata property name used in acid chunks.
static const char *const | acidTempo
| Metadata property name used in acid chunks.
static const char *const | riffInfoArchivalLocation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoArtist
| Metadata property name used in INFO chunks.
static const char *const | riffInfoBaseURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCinematographer
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComment
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComment2
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComments
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCommissioned
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCopyright
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCostumeDesigner
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCountry
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCropped
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDateCreated
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDateTimeOriginal
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDefaultAudioStream
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDimension
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDirectory
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDistributedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDotsPerInch
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEditedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEighthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEncodedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEndTimecode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEngineer
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFifthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFirstLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFourthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoGenre
| Metadata property name used in INFO chunks.
static const char *const | riffInfoKeywords
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLength
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLightness
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLocation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLogoIconURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLogoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMedium
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoBannerImage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoBannerURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoText
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMusicBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoNinthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoNumberOfParts
| Metadata property name used in INFO chunks.
static const char *const | riffInfoOrganisation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoPart
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProducedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductName
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductionDesigner
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductionStudio
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRate
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRated
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRating
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRippedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSecondaryGenre
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSecondLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSeventhLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSharpness
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSixthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSoftware
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSoundSchemeTitle
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSource
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSourceFrom
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStarring_ISTR
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStarring_STAR
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStartTimecode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStatistics
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSubject
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTapeName
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTechnician
| Metadata property name used in INFO chunks.
static const char *const | riffInfoThirdLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTimeCode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTitle
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTrackNo
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTrackNumber
| Metadata property name used in INFO chunks.
static const char *const | riffInfoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVegasVersionMajor
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVegasVersionMinor
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVersion
| Metadata property name used in INFO chunks.
static const char *const | riffInfoWatermarkURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoWrittenBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoYear
| Metadata property name used in INFO chunks.
static const char *const | aswgContentType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProject
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOriginator
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOriginatorStudio
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgNotes
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSession
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgState
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEditor
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMixer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxChainName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgChannelConfig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicFormat
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicChnOrder
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicNorm
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicConfig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicDistance
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecordingLoc
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsDesigned
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecEngineer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecStudio
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgImpulseLocation
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSubCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCatId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUserCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUserData
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgVendorCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLibrary
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCreatorId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSourceId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRmsPower
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLoudness
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLoudnessRange
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMaxPeak
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSpecDensity
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgZeroCrossRate
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgPapr
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgText
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEfforts
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEffortType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProjection
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLanguage
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTimingRestriction
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterGender
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterAge
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterRole
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgActorName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgActorGender
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgDirector
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgDirection
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxUsed
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUsageRights
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsUnion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAccent
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEmotion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgComposor
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgArtist
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSongTitle
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgGenre
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSubGenre
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProducer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicSup
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgInstrument
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicPublisher
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRightsOwner
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsSource
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsLoop
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIntensity
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsFinal
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOrderRef
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsOst
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsCinematic
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsLicensed
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsDiegetic
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicVersion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsrcId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTempo
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTimeSig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgInKey
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgBillingCode
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgVersion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | ISRC
| Metadata property name used when reading an ISRC code from an AXML chunk.
static const char *const | internationalStandardRecordingCode
| Metadata property name used when reading and writing ISRC codes to/from AXML chunks.
static const char *const | tracktionLoopInfo
| Metadata property name used when reading a WAV file with a Tracktion chunk.

## Additional Inherited Members
Protected Member Functions inherited from AudioFormat
| AudioFormat (String formatName, StringArray fileExtensions)
| Creates an AudioFormat object.
| AudioFormat (StringRef formatName, StringRef fileExtensions)
| Creates an AudioFormat object.

## Detailed Description

Reads and Writes WAV format audio files.

See also
  AudioFormat

## Constructor & Destructor Documentation

## ◆ WavAudioFormat()

WavAudioFormat::WavAudioFormat | ( |  | ) |

Creates a format object.

## ◆ ~WavAudioFormat()

WavAudioFormat::~WavAudioFormat | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ createBWAVMetadata()

static StringPairArray WavAudioFormat::createBWAVMetadata | ( | const String & | description,
|  | const String & | originator,
|  | const String & | originatorRef,
|  | Time | dateAndTime,
|  | int64 | timeReferenceSamples,
|  | const String & | codingHistory )
| static

Utility function to fill out the appropriate metadata for a BWAV file.

This just makes it easier than using the property names directly, and it fills out the time and date in the right format.

## ◆ getPossibleSampleRates()

Array< int > WavAudioFormat::getPossibleSampleRates | ( |  | ) |
| overridevirtual

Returns a set of sample rates that the format can read and write.

Implements AudioFormat.

## ◆ getPossibleBitDepths()

Array< int > WavAudioFormat::getPossibleBitDepths | ( |  | ) |
| overridevirtual

Returns a set of bit depths that the format can read and write.

Implements AudioFormat.

## ◆ canDoStereo()

bool WavAudioFormat::canDoStereo | ( |  | ) |
| overridevirtual

Returns true if the format can do 2-channel audio.

Implements AudioFormat.

## ◆ canDoMono()

bool WavAudioFormat::canDoMono | ( |  | ) |
| overridevirtual

Returns true if the format can do 1-channel audio.

Implements AudioFormat.

## ◆ isChannelLayoutSupported()

bool WavAudioFormat::isChannelLayoutSupported | ( | const AudioChannelSet & | channelSet | ) |
| overridevirtual

Returns true if the channel layout is supported by this format.

Reimplemented from AudioFormat.

## ◆ createReaderFor()

AudioFormatReader * WavAudioFormat::createReaderFor | ( | InputStream * | sourceStream,
|  | bool | deleteStreamIfOpeningFails )
| overridevirtual

Tries to create an object that can read from a stream containing audio data in this format.

The reader object that is returned can be used to read from the stream, and should then be deleted by the caller.

Parameters

  sourceStream | the stream to read from - the AudioFormatReader object that is returned will delete this stream when it no longer needs it.
  deleteStreamIfOpeningFails | if no reader can be created, this determines whether this method should delete the stream object that was passed-in. (If a valid reader is returned, it will always be in charge of deleting the stream, so this parameter is ignored)

See also
  AudioFormatReader

Implements AudioFormat.

## ◆ createMemoryMappedReader() [1/2]

MemoryMappedAudioFormatReader * WavAudioFormat::createMemoryMappedReader | ( | const File & | file | ) |
| overridevirtual

Attempts to create a MemoryMappedAudioFormatReader, if possible for this format.

If the format does not support this, the method will return nullptr;

Reimplemented from AudioFormat.

## ◆ createMemoryMappedReader() [2/2]

MemoryMappedAudioFormatReader * WavAudioFormat::createMemoryMappedReader | ( | FileInputStream * |  | ) |
| overridevirtual

Reimplemented from AudioFormat.

## ◆ createWriterFor() [1/4]

AudioFormatWriter * WavAudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| overridevirtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Implements AudioFormat.

## ◆ createWriterFor() [2/4]

AudioFormatWriter * WavAudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | const AudioChannelSet & | channelLayout,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| overridevirtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  channelLayout | the channel layout for the file. Use isChannelLayoutSupported to check if the writer supports this layout.
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Reimplemented from AudioFormat.

## ◆ replaceMetadataInFile()

bool WavAudioFormat::replaceMetadataInFile | ( | const File & | wavFile,
|  | const StringPairArray & | newMetadata )

Utility function to replace the metadata in a wav file with a new set of values.

If possible, this cheats by overwriting just the metadata region of the file, rather than by copying the whole file again.

## ◆ createWriterFor() [3/4]

virtual AudioFormatWriter * AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| virtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Implements AudioFormat.

## ◆ createWriterFor() [4/4]

virtual AudioFormatWriter * AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | const AudioChannelSet & | channelLayout,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| virtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  channelLayout | the channel layout for the file. Use isChannelLayoutSupported to check if the writer supports this layout.
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Reimplemented from AudioFormat.

## Member Data Documentation

## ◆ bwavDescription

const char* const WavAudioFormat::bwavDescription
| static

Metadata property name used in BWAV chunks.

## ◆ bwavOriginator

const char* const WavAudioFormat::bwavOriginator
| static

Metadata property name used in BWAV chunks.

## ◆ bwavOriginatorRef

const char* const WavAudioFormat::bwavOriginatorRef
| static

Metadata property name used in BWAV chunks.

## ◆ bwavOriginationDate

const char* const WavAudioFormat::bwavOriginationDate
| static

Metadata property name used in BWAV chunks.

The format should be: yyyy-mm-dd

## ◆ bwavOriginationTime

const char* const WavAudioFormat::bwavOriginationTime
| static

Metadata property name used in BWAV chunks.

The format should be: format is: hh-mm-ss

## ◆ bwavCodingHistory

const char* const WavAudioFormat::bwavCodingHistory
| static

Metadata property name used in BWAV chunks.

## ◆ bwavTimeReference

const char* const WavAudioFormat::bwavTimeReference
| static

Metadata property name used in BWAV chunks.

This is the number of samples from the start of an edit that the file is supposed to begin at. Seems like an obvious mistake to only allow a file to occur in an edit once, but that's the way it is..

See also
  AudioFormatReader::metadataValues, createWriterFor

## ◆ acidOneShot

const char* const WavAudioFormat::acidOneShot
| static

Metadata property name used in acid chunks.

## ◆ acidRootSet

const char* const WavAudioFormat::acidRootSet
| static

Metadata property name used in acid chunks.

## ◆ acidStretch

const char* const WavAudioFormat::acidStretch
| static

Metadata property name used in acid chunks.

## ◆ acidDiskBased

const char* const WavAudioFormat::acidDiskBased
| static

Metadata property name used in acid chunks.

## ◆ acidizerFlag

const char* const WavAudioFormat::acidizerFlag
| static

Metadata property name used in acid chunks.

## ◆ acidRootNote

const char* const WavAudioFormat::acidRootNote
| static

Metadata property name used in acid chunks.

## ◆ acidBeats

const char* const WavAudioFormat::acidBeats
| static

Metadata property name used in acid chunks.

## ◆ acidDenominator

const char* const WavAudioFormat::acidDenominator
| static

Metadata property name used in acid chunks.

## ◆ acidNumerator

const char* const WavAudioFormat::acidNumerator
| static

Metadata property name used in acid chunks.

## ◆ acidTempo

const char* const WavAudioFormat::acidTempo
| static

Metadata property name used in acid chunks.

## ◆ riffInfoArchivalLocation

const char* const WavAudioFormat::riffInfoArchivalLocation
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoArtist

const char* const WavAudioFormat::riffInfoArtist
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoBaseURL

const char* const WavAudioFormat::riffInfoBaseURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCinematographer

const char* const WavAudioFormat::riffInfoCinematographer
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoComment

const char* const WavAudioFormat::riffInfoComment
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoComment2

const char* const WavAudioFormat::riffInfoComment2
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoComments

const char* const WavAudioFormat::riffInfoComments
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCommissioned

const char* const WavAudioFormat::riffInfoCommissioned
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCopyright

const char* const WavAudioFormat::riffInfoCopyright
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCostumeDesigner

const char* const WavAudioFormat::riffInfoCostumeDesigner
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCountry

const char* const WavAudioFormat::riffInfoCountry
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoCropped

const char* const WavAudioFormat::riffInfoCropped
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDateCreated

const char* const WavAudioFormat::riffInfoDateCreated
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDateTimeOriginal

const char* const WavAudioFormat::riffInfoDateTimeOriginal
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDefaultAudioStream

const char* const WavAudioFormat::riffInfoDefaultAudioStream
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDimension

const char* const WavAudioFormat::riffInfoDimension
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDirectory

const char* const WavAudioFormat::riffInfoDirectory
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDistributedBy

const char* const WavAudioFormat::riffInfoDistributedBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoDotsPerInch

const char* const WavAudioFormat::riffInfoDotsPerInch
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoEditedBy

const char* const WavAudioFormat::riffInfoEditedBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoEighthLanguage

const char* const WavAudioFormat::riffInfoEighthLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoEncodedBy

const char* const WavAudioFormat::riffInfoEncodedBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoEndTimecode

const char* const WavAudioFormat::riffInfoEndTimecode
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoEngineer

const char* const WavAudioFormat::riffInfoEngineer
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoFifthLanguage

const char* const WavAudioFormat::riffInfoFifthLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoFirstLanguage

const char* const WavAudioFormat::riffInfoFirstLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoFourthLanguage

const char* const WavAudioFormat::riffInfoFourthLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoGenre

const char* const WavAudioFormat::riffInfoGenre
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoKeywords

const char* const WavAudioFormat::riffInfoKeywords
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLanguage

const char* const WavAudioFormat::riffInfoLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLength

const char* const WavAudioFormat::riffInfoLength
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLightness

const char* const WavAudioFormat::riffInfoLightness
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLocation

const char* const WavAudioFormat::riffInfoLocation
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLogoIconURL

const char* const WavAudioFormat::riffInfoLogoIconURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoLogoURL

const char* const WavAudioFormat::riffInfoLogoURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMedium

const char* const WavAudioFormat::riffInfoMedium
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMoreInfoBannerImage

const char* const WavAudioFormat::riffInfoMoreInfoBannerImage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMoreInfoBannerURL

const char* const WavAudioFormat::riffInfoMoreInfoBannerURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMoreInfoText

const char* const WavAudioFormat::riffInfoMoreInfoText
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMoreInfoURL

const char* const WavAudioFormat::riffInfoMoreInfoURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoMusicBy

const char* const WavAudioFormat::riffInfoMusicBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoNinthLanguage

const char* const WavAudioFormat::riffInfoNinthLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoNumberOfParts

const char* const WavAudioFormat::riffInfoNumberOfParts
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoOrganisation

const char* const WavAudioFormat::riffInfoOrganisation
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoPart

const char* const WavAudioFormat::riffInfoPart
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoProducedBy

const char* const WavAudioFormat::riffInfoProducedBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoProductName

const char* const WavAudioFormat::riffInfoProductName
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoProductionDesigner

const char* const WavAudioFormat::riffInfoProductionDesigner
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoProductionStudio

const char* const WavAudioFormat::riffInfoProductionStudio
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoRate

const char* const WavAudioFormat::riffInfoRate
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoRated

const char* const WavAudioFormat::riffInfoRated
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoRating

const char* const WavAudioFormat::riffInfoRating
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoRippedBy

const char* const WavAudioFormat::riffInfoRippedBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSecondaryGenre

const char* const WavAudioFormat::riffInfoSecondaryGenre
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSecondLanguage

const char* const WavAudioFormat::riffInfoSecondLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSeventhLanguage

const char* const WavAudioFormat::riffInfoSeventhLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSharpness

const char* const WavAudioFormat::riffInfoSharpness
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSixthLanguage

const char* const WavAudioFormat::riffInfoSixthLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSoftware

const char* const WavAudioFormat::riffInfoSoftware
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSoundSchemeTitle

const char* const WavAudioFormat::riffInfoSoundSchemeTitle
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSource

const char* const WavAudioFormat::riffInfoSource
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSourceFrom

const char* const WavAudioFormat::riffInfoSourceFrom
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoStarring_ISTR

const char* const WavAudioFormat::riffInfoStarring_ISTR
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoStarring_STAR

const char* const WavAudioFormat::riffInfoStarring_STAR
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoStartTimecode

const char* const WavAudioFormat::riffInfoStartTimecode
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoStatistics

const char* const WavAudioFormat::riffInfoStatistics
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoSubject

const char* const WavAudioFormat::riffInfoSubject
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTapeName

const char* const WavAudioFormat::riffInfoTapeName
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTechnician

const char* const WavAudioFormat::riffInfoTechnician
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoThirdLanguage

const char* const WavAudioFormat::riffInfoThirdLanguage
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTimeCode

const char* const WavAudioFormat::riffInfoTimeCode
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTitle

const char* const WavAudioFormat::riffInfoTitle
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTrackNo

const char* const WavAudioFormat::riffInfoTrackNo
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoTrackNumber

const char* const WavAudioFormat::riffInfoTrackNumber
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoURL

const char* const WavAudioFormat::riffInfoURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoVegasVersionMajor

const char* const WavAudioFormat::riffInfoVegasVersionMajor
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoVegasVersionMinor

const char* const WavAudioFormat::riffInfoVegasVersionMinor
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoVersion

const char* const WavAudioFormat::riffInfoVersion
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoWatermarkURL

const char* const WavAudioFormat::riffInfoWatermarkURL
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoWrittenBy

const char* const WavAudioFormat::riffInfoWrittenBy
| static

Metadata property name used in INFO chunks.

## ◆ riffInfoYear

const char* const WavAudioFormat::riffInfoYear
| static

Metadata property name used in INFO chunks.

## ◆ aswgContentType

const char* const WavAudioFormat::aswgContentType
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgProject

const char* const WavAudioFormat::aswgProject
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgOriginator

const char* const WavAudioFormat::aswgOriginator
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgOriginatorStudio

const char* const WavAudioFormat::aswgOriginatorStudio
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgNotes

const char* const WavAudioFormat::aswgNotes
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSession

const char* const WavAudioFormat::aswgSession
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgState

const char* const WavAudioFormat::aswgState
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgEditor

const char* const WavAudioFormat::aswgEditor
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMixer

const char* const WavAudioFormat::aswgMixer
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgFxChainName

const char* const WavAudioFormat::aswgFxChainName
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgChannelConfig

const char* const WavAudioFormat::aswgChannelConfig
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgAmbisonicFormat

const char* const WavAudioFormat::aswgAmbisonicFormat
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgAmbisonicChnOrder

const char* const WavAudioFormat::aswgAmbisonicChnOrder
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgAmbisonicNorm

const char* const WavAudioFormat::aswgAmbisonicNorm
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMicType

const char* const WavAudioFormat::aswgMicType
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMicConfig

const char* const WavAudioFormat::aswgMicConfig
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMicDistance

const char* const WavAudioFormat::aswgMicDistance
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgRecordingLoc

const char* const WavAudioFormat::aswgRecordingLoc
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsDesigned

const char* const WavAudioFormat::aswgIsDesigned
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgRecEngineer

const char* const WavAudioFormat::aswgRecEngineer
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgRecStudio

const char* const WavAudioFormat::aswgRecStudio
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgImpulseLocation

const char* const WavAudioFormat::aswgImpulseLocation
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCategory

const char* const WavAudioFormat::aswgCategory
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSubCategory

const char* const WavAudioFormat::aswgSubCategory
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCatId

const char* const WavAudioFormat::aswgCatId
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgUserCategory

const char* const WavAudioFormat::aswgUserCategory
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgUserData

const char* const WavAudioFormat::aswgUserData
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgVendorCategory

const char* const WavAudioFormat::aswgVendorCategory
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgFxName

const char* const WavAudioFormat::aswgFxName
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgLibrary

const char* const WavAudioFormat::aswgLibrary
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCreatorId

const char* const WavAudioFormat::aswgCreatorId
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSourceId

const char* const WavAudioFormat::aswgSourceId
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgRmsPower

const char* const WavAudioFormat::aswgRmsPower
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgLoudness

const char* const WavAudioFormat::aswgLoudness
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgLoudnessRange

const char* const WavAudioFormat::aswgLoudnessRange
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMaxPeak

const char* const WavAudioFormat::aswgMaxPeak
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSpecDensity

const char* const WavAudioFormat::aswgSpecDensity
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgZeroCrossRate

const char* const WavAudioFormat::aswgZeroCrossRate
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgPapr

const char* const WavAudioFormat::aswgPapr
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgText

const char* const WavAudioFormat::aswgText
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgEfforts

const char* const WavAudioFormat::aswgEfforts
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgEffortType

const char* const WavAudioFormat::aswgEffortType
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgProjection

const char* const WavAudioFormat::aswgProjection
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgLanguage

const char* const WavAudioFormat::aswgLanguage
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgTimingRestriction

const char* const WavAudioFormat::aswgTimingRestriction
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCharacterName

const char* const WavAudioFormat::aswgCharacterName
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCharacterGender

const char* const WavAudioFormat::aswgCharacterGender
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCharacterAge

const char* const WavAudioFormat::aswgCharacterAge
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgCharacterRole

const char* const WavAudioFormat::aswgCharacterRole
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgActorName

const char* const WavAudioFormat::aswgActorName
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgActorGender

const char* const WavAudioFormat::aswgActorGender
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgDirector

const char* const WavAudioFormat::aswgDirector
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgDirection

const char* const WavAudioFormat::aswgDirection
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgFxUsed

const char* const WavAudioFormat::aswgFxUsed
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgUsageRights

const char* const WavAudioFormat::aswgUsageRights
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsUnion

const char* const WavAudioFormat::aswgIsUnion
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgAccent

const char* const WavAudioFormat::aswgAccent
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgEmotion

const char* const WavAudioFormat::aswgEmotion
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgComposor

const char* const WavAudioFormat::aswgComposor
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgArtist

const char* const WavAudioFormat::aswgArtist
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSongTitle

const char* const WavAudioFormat::aswgSongTitle
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgGenre

const char* const WavAudioFormat::aswgGenre
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgSubGenre

const char* const WavAudioFormat::aswgSubGenre
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgProducer

const char* const WavAudioFormat::aswgProducer
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMusicSup

const char* const WavAudioFormat::aswgMusicSup
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgInstrument

const char* const WavAudioFormat::aswgInstrument
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMusicPublisher

const char* const WavAudioFormat::aswgMusicPublisher
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgRightsOwner

const char* const WavAudioFormat::aswgRightsOwner
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsSource

const char* const WavAudioFormat::aswgIsSource
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsLoop

const char* const WavAudioFormat::aswgIsLoop
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIntensity

const char* const WavAudioFormat::aswgIntensity
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsFinal

const char* const WavAudioFormat::aswgIsFinal
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgOrderRef

const char* const WavAudioFormat::aswgOrderRef
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsOst

const char* const WavAudioFormat::aswgIsOst
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsCinematic

const char* const WavAudioFormat::aswgIsCinematic
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsLicensed

const char* const WavAudioFormat::aswgIsLicensed
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsDiegetic

const char* const WavAudioFormat::aswgIsDiegetic
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgMusicVersion

const char* const WavAudioFormat::aswgMusicVersion
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgIsrcId

const char* const WavAudioFormat::aswgIsrcId
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgTempo

const char* const WavAudioFormat::aswgTempo
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgTimeSig

const char* const WavAudioFormat::aswgTimeSig
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgInKey

const char* const WavAudioFormat::aswgInKey
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgBillingCode

const char* const WavAudioFormat::aswgBillingCode
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ aswgVersion

const char* const WavAudioFormat::aswgVersion
| static

Metadata property name used in ASWG/iXML chunks.

## ◆ ISRC

const char* const WavAudioFormat::ISRC
| static

Metadata property name used when reading an ISRC code from an AXML chunk.

## ◆ internationalStandardRecordingCode

const char* const WavAudioFormat::internationalStandardRecordingCode
| static

Metadata property name used when reading and writing ISRC codes to/from AXML chunks.

## ◆ tracktionLoopInfo

const char* const WavAudioFormat::tracktionLoopInfo
| static

Metadata property name used when reading a WAV file with a Tracktion chunk.

The documentation for this class was generated from the following file:

- juce_WavAudioFormat.h